<?xml version="1.0" encoding="UTF-8"?>
<!--专业录像-->
<!--广角-10x-->
 <MultiCameraConfigTable>
    <rule name = "SmoothRule:ZOOM[0.5-10.01) whole range of zoom_begin and zoom_end">
        <condition name = "ZOOM_RATIO_BEGIN" min = "0.5" max = "10.01"/>
        <condition name = "ZOOM_RATIO_END" min = "0.5" max = "10.1"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>
        <rule name = "SmoothRule1:ZOOM:zoombegin-1x with zoomend-10x ->t">
            <condition name = "ZOOM_RATIO_BEGIN" min = "0.99" max = "1.01"/>
            <condition name = "ZOOM_RATIO_END" min = "9.9" max = "10.1"/>
            <condition name = "ZOOM_RATIO" min = "7.50" max = "10.01"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
            <rule name = "SmoothRule1A:zoombegin-1x with zoomend-10x ->W lux">
                <condition name = "ZOOM_RATIO" min = "7.50" max = "10.01"/>
                <condition name = "LUX_INDEX" min = "420" max = "9999" hysteresis_min = "75.0"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
            <rule name = "SmoothRule1B:zoombegin-1x with zoomend-10x ->W obj">
                <condition name = "ZOOM_RATIO" min = "7.50" max = "10.01"/>
                <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "200.0"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>

        <rule name = "SmoothRule2:ZOOM[2.50-10.01) T:10->2.5 | 2.5->10 initial prev is wide">
            <condition name = "ZOOM_RATIO" min = "2.50" max = "10.01"/>
            <condition name = "PREVIEW_CAMERA" value = "0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
                <camera name = "tele"/>
            </outState>
        </rule>
        <rule name = "SmoothRule3:ZOOM[2.50-10.01) T:10->2.5 | 2.5->10 initial prev is tele">
            <condition name = "ZOOM_RATIO" min = "2.50" max = "10.01"/>
            <condition name = "PREVIEW_CAMERA" value = "4"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
        </rule>
        <rule name = "SmoothRule4:ZOOM[2.50-10.01) T:10->2.5 | 2.5->10 initial prev is uw">
            <condition name = "ZOOM_RATIO" min = "2.50" max = "10.01"/>
            <condition name = "PREVIEW_CAMERA" value = "2"/>
            <outState>
                <camera name = "tele" prev = "true"/>
                <camera name = "wide"/>
            </outState>
            <rule name = "SmoothRule4A:zoombegin-0.5x with lensmix ->W lux">
                <condition name = "ZOOM_RATIO" min = "2.50" max = "10.01"/>
                <condition name = "LUX_INDEX" min = "420" max = "9999" hysteresis_min = "75.0"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
            <rule name = "SmoothRule4B:zoombegin-0.5x with lensmix ->W obj">
                <condition name = "ZOOM_RATIO" min = "2.50" max = "10.01"/>
                <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "200.0"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>

        <rule name = "SmoothRule5:ZOOM[1.0-2.50) W:2.5->1.0 | 1.0->2.5">
            <condition name = "ZOOM_RATIO" min = "1.0" max = "2.50"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
            <rule name = "SmoothRule5A:ZOOM[1.0-2.50) zoom_in W:2.5->1.0 | 1.0->2.5">
                <condition name = "ZOOM_RATIO" min = "1.0" max = "2.5"/>
                <condition name = "ZOOM_RATIO_END" min = "2.4" max = "2.51"/>
                <condition name = "ZOOM_RATIO_BEGIN" min = "0.9" max = "1.01"/>
                <outState>
                    <camera name = "wide" prev = "true"/>
                    <camera name = "tele"/>
                </outState>
            </rule>
        </rule>
        <rule name = "SmoothRule6:ZOOM[0.5-1.0) UW:1.0->0.5 | 0.5->1.0">
            <condition name = "ZOOM_RATIO" min = "0.4" max = "1.0"/>
            <outState>
                <camera name = "ultra_wide" prev = "true"/>
            </outState>
        </rule>
    </rule>
 </MultiCameraConfigTable>